Skip to main content
PATCH
Set a structured data entry
patient_id is the patient’s id or MRN. Each field’s emr_id is returned in structured_data on POST /patients/fetch. Send the value as text. For a field with options, send an option name, or comma-separated names for a multi-select field.

Example Request

Example Response

Webhook Events

You’ll receive structured_data.updated or structured_data.update_failed. See Operation Events.

Authorizations

client_id
string
header
required
client_secret
string
header
required
access_token
string
header
required

Path Parameters

patient_id
string
required

Cobalt patient ID (id from the patient endpoints) or the patient MRN.

Example:

"12345"

emr_id
string
required

EHR id of the structured data field: structured_data[].emr_id from POST /v1/patients/fetch.

Example:

"9393"

Body

application/json
value
string
required

The entry's value as text. For a field with options, use an option name (comma-separate several for a multi-select field, e.g. "141, MAR").

Example:

"141"

notes
string

Notes for the entry. Omit to keep the current notes.

Example:

"Paid in full"

callback_urls
string[]

URLs to receive the completion webhook, in addition to the account webhook.

Example:
expires_at
string<date-time> | null

Optional ISO 8601 timestamp with an explicit timezone offset, in the future when submitted. Cobalt starts no new operation attempt after this deadline and reports reasons[].code EXPIRED. An attempt already in progress, including write reconciliation, may finish after it.

Example:

"2027-06-15T14:30:00Z"

Response

Structured data change queued for processing

success
boolean
required
Example:

true

message
string
required
Example:

"Structured data update processing. A webhook event will be sent upon completion."

job_id
integer
required
Example:

12345